NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::PolylineBuilder Class Reference

Polyline builder class. More...

Inheritance diagram for NXOpen::Features::PolylineBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Features::Subdivision::CagePolylineBuilder

Public Types

enum  DrawingPlaneOptions {
  DrawingPlaneOptionsView, DrawingPlaneOptionsXY, DrawingPlaneOptionsYZ, DrawingPlaneOptionsXZ,
  DrawingPlaneOptionsGeneral
}
 Drawing plane options. More...
 
enum  MovementMethodType {
  MovementMethodTypeWCS, MovementMethodTypeView, MovementMethodTypeVector, MovementMethodTypePlane,
  MovementMethodTypeSegment
}
 Points movement types. More...
 
enum  WCSOptionType {
  WCSOptionTypeX, WCSOptionTypeY, WCSOptionTypeZ, WCSOptionTypeYZ,
  WCSOptionTypeXZ, WCSOptionTypeXY
}
 WCS principal axis or plane types. More...
 

Public Member Functions

bool CanUseOrientationTool ()
 Returns the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX10.0.0. More...
 
NXOpen::Features::GeometricConstraintDataManagerConstraintManager ()
 Returns the constraint manager
Created in NX10.0.0. More...
 
NXOpen::CoordinateSystemConstraintPlane ()
 Returns the coordinate system defining plane constraint
Created in NX10.0.0. More...
 
NXOpen::PlaneDrawingPlane ()
 Returns the drawing plane
Created in NX10.0.0. More...
 
NXOpen::Features::PolylineBuilder::DrawingPlaneOptions DrawingPlaneOption ()
 Returns a drawing plane option
Created in NX10.0.0. More...
 
void EditPolyline (NXOpen::NXObject *polyline)
 Sets a non-parametric polyline for editing
Created in NX10.0.0. More...
 
void Evaluate ()
 Evaluates the polyline
Created in NX10.0.0. More...
 
bool HasPlaneConstraint ()
 Returns the flag indicating if polyline has plane constraint
Created in NX10.0.0. More...
 
void InsertPoint (int afterIndex)
 Inserts a point in the middle of a segment
Created in NX10.0.0. More...
 
bool IsPeriodic ()
 Returns the periodicity
Created in NX10.0.0. More...
 
NXOpen::Features::PolylineBuilder::MovementMethodType MovementMethod ()
 Returns the movement method
Created in NX10.0.0. More...
 
NXOpen::PlaneMovementPlane ()
 Returns the movement plane
Created in NX10.0.0. More...
 
NXOpen::DirectionMovementVector ()
 Returns the movement vector
Created in NX10.0.0. More...
 
void SetCanUseOrientationTool (bool useOrientationTool)
 Sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX10.0.0. More...
 
void SetConstraintPlane (NXOpen::CoordinateSystem *coordinateSystem)
 Sets the coordinate system defining plane constraint
Created in NX10.0.0. More...
 
void SetDrawingPlane (NXOpen::Plane *drawingPlane)
 Sets the drawing plane
Created in NX10.0.0. More...
 
void SetDrawingPlaneOption (NXOpen::Features::PolylineBuilder::DrawingPlaneOptions planeOption)
 Sets a drawing plane option
Created in NX10.0.0. More...
 
void SetHasPlaneConstraint (bool hasConstraint)
 Sets the flag indicating if polyline has plane constraint
Created in NX10.0.0. More...
 
void SetMovementMethod (NXOpen::Features::PolylineBuilder::MovementMethodType movementMethod)
 Sets the movement method
Created in NX10.0.0. More...
 
void SetMovementPlane (NXOpen::Plane *movementPlane)
 Sets the movement plane
Created in NX10.0.0. More...
 
void SetMovementVector (NXOpen::Direction *movementVector)
 Sets the movement vector
Created in NX10.0.0. More...
 
void SetPeriodic (bool periodicity)
 Sets the periodicity
Created in NX10.0.0. More...
 
void SetWCSOption (NXOpen::Features::PolylineBuilder::WCSOptionType wcsOption)
 Sets the WCS option
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::TransformerDataTransformer ()
 Returns the transformation tool. More...
 
void UpdateOnConstraintPlane ()
 Updates polyline based on constraint plane
Created in NX10.0.0. More...
 
NXOpen::Features::PolylineBuilder::WCSOptionType WCSOption ()
 Returns the WCS option
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Polyline builder class.


To create a new instance of this class, use NXOpen::Features::FreeformCurveCollection::CreatePolylineBuilder
Default values.

Property Value

DrawingPlaneOption

View

MovementMethod

View

WCSOption

X


Created in NX10.0.0.

Member Enumeration Documentation

Drawing plane options.

Enumerator
DrawingPlaneOptionsView 

View plane.

DrawingPlaneOptionsXY 

XY plane.

DrawingPlaneOptionsYZ 

YZ plane.

DrawingPlaneOptionsXZ 

XZ plane.

DrawingPlaneOptionsGeneral 

General plane.

Points movement types.

Enumerator
MovementMethodTypeWCS 

Movement along WCS principal axis or plane.

MovementMethodTypeView 

Movement in view plane.

MovementMethodTypeVector 

Movement along arbitrary direction.

MovementMethodTypePlane 

Movement in arbitrary plane.

MovementMethodTypeSegment 

Movement along a segment of the polyline.

WCS principal axis or plane types.

Enumerator
WCSOptionTypeX 

Along X axis.

WCSOptionTypeY 

Along Y axis.

WCSOptionTypeZ 

Along Z axis.

WCSOptionTypeYZ 

In YZ plane.

WCSOptionTypeXZ 

In XZ plane.

WCSOptionTypeXY 

In XY plane.

Member Function Documentation

bool NXOpen::Features::PolylineBuilder::CanUseOrientationTool ( )

Returns the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX10.0.0.



License requirements : None

NXOpen::Features::GeometricConstraintDataManager* NXOpen::Features::PolylineBuilder::ConstraintManager ( )

Returns the constraint manager
Created in NX10.0.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::PolylineBuilder::ConstraintPlane ( )

Returns the coordinate system defining plane constraint
Created in NX10.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::PolylineBuilder::DrawingPlane ( )

Returns the drawing plane
Created in NX10.0.0.



License requirements : None

NXOpen::Features::PolylineBuilder::DrawingPlaneOptions NXOpen::Features::PolylineBuilder::DrawingPlaneOption ( )

Returns a drawing plane option
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::PolylineBuilder::EditPolyline ( NXOpen::NXObject polyline)

Sets a non-parametric polyline for editing
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
polylinepolyline
void NXOpen::Features::PolylineBuilder::Evaluate ( )

Evaluates the polyline
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

bool NXOpen::Features::PolylineBuilder::HasPlaneConstraint ( )

Returns the flag indicating if polyline has plane constraint
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::PolylineBuilder::InsertPoint ( int  afterIndex)

Inserts a point in the middle of a segment
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
afterIndexIndex of a point after which to insert new point
bool NXOpen::Features::PolylineBuilder::IsPeriodic ( )

Returns the periodicity
Created in NX10.0.0.



License requirements : None

NXOpen::Features::PolylineBuilder::MovementMethodType NXOpen::Features::PolylineBuilder::MovementMethod ( )

Returns the movement method
Created in NX10.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::PolylineBuilder::MovementPlane ( )

Returns the movement plane
Created in NX10.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::PolylineBuilder::MovementVector ( )

Returns the movement vector
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::PolylineBuilder::SetCanUseOrientationTool ( bool  useOrientationTool)

Sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
useOrientationTooluseorientationtool
void NXOpen::Features::PolylineBuilder::SetConstraintPlane ( NXOpen::CoordinateSystem coordinateSystem)

Sets the coordinate system defining plane constraint
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
coordinateSystemcoordinatesystem
void NXOpen::Features::PolylineBuilder::SetDrawingPlane ( NXOpen::Plane drawingPlane)

Sets the drawing plane
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
drawingPlanedrawingplane
void NXOpen::Features::PolylineBuilder::SetDrawingPlaneOption ( NXOpen::Features::PolylineBuilder::DrawingPlaneOptions  planeOption)

Sets a drawing plane option
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
planeOptionplaneoption
void NXOpen::Features::PolylineBuilder::SetHasPlaneConstraint ( bool  hasConstraint)

Sets the flag indicating if polyline has plane constraint
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
hasConstrainthasconstraint
void NXOpen::Features::PolylineBuilder::SetMovementMethod ( NXOpen::Features::PolylineBuilder::MovementMethodType  movementMethod)

Sets the movement method
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
movementMethodmovementmethod
void NXOpen::Features::PolylineBuilder::SetMovementPlane ( NXOpen::Plane movementPlane)

Sets the movement plane
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
movementPlanemovementplane
void NXOpen::Features::PolylineBuilder::SetMovementVector ( NXOpen::Direction movementVector)

Sets the movement vector
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
movementVectormovementvector
void NXOpen::Features::PolylineBuilder::SetPeriodic ( bool  periodicity)

Sets the periodicity
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
periodicityperiodicity
void NXOpen::Features::PolylineBuilder::SetWCSOption ( NXOpen::Features::PolylineBuilder::WCSOptionType  wcsOption)

Sets the WCS option
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
wcsOptionwcsoption
NXOpen::GeometricUtilities::TransformerData* NXOpen::Features::PolylineBuilder::Transformer ( )

Returns the transformation tool.


Created in NX10.0.0.

License requirements : None

void NXOpen::Features::PolylineBuilder::UpdateOnConstraintPlane ( )

Updates polyline based on constraint plane
Created in NX10.0.0.



License requirements : features_modeling ("FEATURES MODELING")

NXOpen::Features::PolylineBuilder::WCSOptionType NXOpen::Features::PolylineBuilder::WCSOption ( )

Returns the WCS option
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.